﻿using SilverlightCairngorm.Control;
using ViewManager.Command;

namespace ViewManager.Control
{
    public class ViewManagerController : FrontController
    {
        private static ViewManagerController _Instance = new ViewManagerController();

        private ViewManagerController()
        {
            base.addCommand(SetBGColorEvent.Name, typeof(SetBGColorCommand));
        }

        public static ViewManagerController Instance
        {
            get
            {
                return _Instance;
            }
        }
    }
}
