﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using SilverlightCairngorm.Model;

namespace ViewManager.Model
{
    public class BackGroundModel : ModelLocator
    {
        

        private static readonly BackGroundModel _instance = new BackGroundModel();

        public static BackGroundModel Instance { get { return _instance; } }

        static BackGroundModel()
        {

        }
        private BackGroundModel()
            : base()
        {

        }

        private byte _R = (byte)0;
        public byte R
        {
            get { return _R; }
            set
            {
                _R = value;
                NotifyPropertyChanged("R");
            }
        }

        private byte _G = (byte)0;
        public byte G
        {
            get { return _G; }
            set
            {
                _G = value;
                NotifyPropertyChanged("G");
            }
        }

        private byte _B = (byte)0;
        public byte B
        {
            get { return _B; }
            set
            {
                _B = value;
                NotifyPropertyChanged("B");
            }
        }

    }
}
